Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.phonetic.impl
Class SoundexFR

    java.lang.Object
      com.sun.mdm.index.phonetic.impl.SoundexFR

public class SoundexFR
extends java.lang.Object

Encode a string using a version of French Soundex algorithm (Soundex2).

Field Summary
`static java.lang.String` | `ENCODING_TYPE` Informative String about the encoding type this encoder does

Constructor Summary
`SoundexFR()` Creates a new Soundex encoder

Method Summary
`java.lang.String` | `encode(java.lang.String str)` Encode a string phoneticaly with SoundEx.
`java.lang.String` | `getEncodingType()` Getter for the encoding type attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODING_TYPE

    public static final java.lang.String ENCODING_TYPE

  Informative String about the encoding type this encoder does

  See Also:
    Constant Field Values

Constructor Detail

### SoundexFR

    public SoundexFR()

  Creates a new Soundex encoder

Method Detail

### encode

    public java.lang.String encode(java.lang.String str)

  Encode a string phoneticaly with SoundEx. This algorithm is sampled from the code-snippers on http://www.sourceforge.net/

  Parameters:
    `str` - The string to encode
  Returns:
    the encoded version of the strToEncode
  Throws:
    `PhoneticEncoderException` - if the encoding fails.

### getEncodingType

    public java.lang.String getEncodingType()

  Getter for the encoding type attribute

  Returns:
    the encoding type the Phonetic Encoder implements (such as NYSIIS or Soundex) This value is for information purposes and is not enforced to be of the same value as the 'encoding type' listed in the PhoneticEncodersConfiguration for the encoder class instance. As a result it should not be used for calls to the Phoneticizer.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.